Get Crawling Status
Returns the current crawling and training status for the knowledge base, including progress on any active URL training jobs.
GET
/
knowledge-base
/
{knowledgeBaseId}
/
crawling-status
Get Crawling Status
curl --request GET \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "training",
"totalUrls": 10,
"completedUrls": 7,
"failedUrls": 1,
"lastCrawledAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Response
Crawling status retrieved successfully
Last modified on March 7, 2026
Was this page helpful?
Get Crawling Status
curl --request GET \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "training",
"totalUrls": 10,
"completedUrls": 7,
"failedUrls": 1,
"lastCrawledAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}